Name:		warsow
Summary:	A fast-paced first-person-shooter game
Version:	0.62
Release:	%mkrel 2
License:	GPLv2
Group:		Games/Other 
URL:		http://www.warsow.net/
Source0:	warsow_%{version}_sdk.zip
Source1:	warsow.desktop

# From http://bugs.frugalware.org/task/1828
Source2:	warsow.png
BuildRequires:	unzip SDL-devel 
BuildRequires:	openal-devel 
BuildRequires:	curl-devel 
BuildRequires:	libjpeg-devel
BuildRequires:	libxinerama-devel
BuildRequires:	openssl-devel
BuildRequires:	x11-server-devel
BuildRequires:	libvorbis-devel
Requires:	warsow-data

%description
Warsow is a free standalone first person shooter game based on the Qfusion 3D
engine (a modification of the Quake 2 GPL engine), and aimed on the competitive
scene, or the e-sports community.

The base gameplay is focused around the art of movement; speed and tricks play
a big part in the gameplay. Besides this, mapcontrol, aim, teamplay and
fragging skills play their role too.

Another twist in gameplay is the weapon system. Warsow has two firing
modes for each weapon; by picking up a weapon, you will be equipped with the
standard (weak) ammo for the weapon, but when you pick up an ammo pack, you
will equip your weapon with special (strong) ammo. Weapons may have different
damage or slightly different behaviour depending on which ammo you use.

To keep the focus on competitive gaming, visibility is important in Warsow.
Cell-shaded, cartoon-like styles on the maps, textures, and models combine for
good visibility, suitable for competitive gameplay.

%files
%doc docs/*
%{_bindir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/*.desktop
%{_libdir}/%{name}/

#----------------------------------------------------------------

%package server
Group:		Games/Arcade
Summary:	Dedicated server for TurtleArena
Requires:	%{name}-data => %{version}


%description server
Turtle Arena (working title) is a free and open source cross-platform 
third-person action game using a modified version of the ioquake3 engine.
Turtle Arena is currently focused on multiplayer (with multiple game modes) 
and can be played with human players over a network, splitscreen, or with AI 
players. In the future there will also be a single player / cooperative reach 
the end of the level mode with AI enemies.

This package contains the dedicated server for TurtleArena.

%files server
%{_bindir}/%{name}-server
%{_bindir}/%{name}-tv-server

#----------------------------------------------------------------

%prep
%setup -q -c


cd $RPM_BUILD_DIR/warsow-%{version}/source
# From http://sources.gentoo.org/viewcvs.py/gentoo-x86/games-fps/warsow/
#% patch0 -p0
sed -i -e "/fs_basepath =/ s:\.:%{_datadir}/%{name}:" qcommon/files.c
sed -i s/--as-needed// Makefile

%build
cd  $RPM_BUILD_DIR/warsow-%{version}/source
make \
	BUILD_CLIENT=YES \
	BUILD_SERVER=YES \
	BUILD_TV_SERVER=YES \
	BUILD_IRC=YES \
	BUILD_SND_OPENAL=YES \
	BUILD_SND_QF=YES \
	DEBUG_BUILD=NO

%install
cd  $RPM_BUILD_DIR/warsow-%{version}/source/release

mkdir -p %{buildroot}/%{_datadir}/applications
mkdir -p %{buildroot}/%{_datadir}/pixmaps    
mkdir -p %{buildroot}/%{_bindir}
mkdir -p %{buildroot}/%{_libdir}/%{name}

install -m 644 %{SOURCE2} %{buildroot}/%{_datadir}/pixmaps

install -m 755 warsow.* %{buildroot}/%{_bindir}/%{name}
install -m 755 wsw_server.* %{buildroot}/%{_bindir}/%{name}-server
install -m 755 wswtv_server.* %{buildroot}/%{_bindir}/%{name}-tv-server

cp %SOURCE1 "%{buildroot}%{_datadir}/applications/"


install -m 755 libs/irc_*.so %{buildroot}/%{_libdir}/%{name}/
install -m 755 libs/snd_qf_*.so %{buildroot}/%{_libdir}/%{name}/
install -m 755 libs/snd_openal_*.so %{buildroot}/%{_libdir}/%{name}/






%changelog

* Sun Feb 26 2012 fwang <fwang> 0.62-2.mga2
+ Revision: 215133
- drop versioned req on data package

* Wed Feb 15 2012 juancho <juancho> 0.62-1.mga2.nonfree
+ Revision: 209200
- Uploaded 0.62 sources
- Updated to 0.62

* Wed Feb 08 2012 juancho <juancho> 0.61-1.mga2.nonfree
+ Revision: 206516
- Changed %%make macro for make command to see if it build doesn't fail in BS
- imported package warsow

